curl --request GET \
--url https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign-id}/restrictions \
--header 'Authorization: Bearer <token>'{
"restrictions": [
{
"id": 123,
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"marketplaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"restrictionType": {
"id": 123,
"interactionType": "impressions",
"frequencyType": "daily",
"level": "campaign"
},
"limit": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "active"
}
]
}Endpoint to get campaign restrictions.
curl --request GET \
--url https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign-id}/restrictions \
--header 'Authorization: Bearer <token>'{
"restrictions": [
{
"id": 123,
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"marketplaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"restrictionType": {
"id": 123,
"interactionType": "impressions",
"frequencyType": "daily",
"level": "campaign"
},
"limit": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "active"
}
]
}A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
The ID of the campaign.
Successful Response
Show child attributes
Was this page helpful?